Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# DynamicAnyC.cpp File Reference

`#include "DynamicAny.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "DynamicAnyC.i"`

Include dependency graph for DynamicAnyC.cpp:

## Defines
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CS_
#define | _DYNAMICANY_NAMEVALUEPAIRSEQ_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_
#define | _DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CS_
#define | _DYNAMICANY_ANYSEQ_CS_
#define | __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CS_
#define | _DYNAMICANY_DYNANYSEQ_CS_
## Functions
DynamicAny::DynAny_ptr | tao_DynamicAny_DynAny_duplicate (DynamicAny::DynAny_ptr p)
void | tao_DynamicAny_DynAny_release (DynamicAny::DynAny_ptr p)
DynamicAny::DynAny_ptr | tao_DynamicAny_DynAny_nil (void)
DynamicAny::DynAny_ptr | tao_DynamicAny_DynAny_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynAny_upcast (void *src)
DynamicAny::DynFixed_ptr | tao_DynamicAny_DynFixed_duplicate (DynamicAny::DynFixed_ptr p)
void | tao_DynamicAny_DynFixed_release (DynamicAny::DynFixed_ptr p)
DynamicAny::DynFixed_ptr | tao_DynamicAny_DynFixed_nil (void)
DynamicAny::DynFixed_ptr | tao_DynamicAny_DynFixed_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynFixed_upcast (void *src)
DynamicAny::DynEnum_ptr | tao_DynamicAny_DynEnum_duplicate (DynamicAny::DynEnum_ptr p)
void | tao_DynamicAny_DynEnum_release (DynamicAny::DynEnum_ptr p)
DynamicAny::DynEnum_ptr | tao_DynamicAny_DynEnum_nil (void)
DynamicAny::DynEnum_ptr | tao_DynamicAny_DynEnum_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynEnum_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_FieldName (CORBA::tk_alias, sizeof(_oc_DynamicAny_FieldName),(char *)&_oc_DynamicAny_FieldName, 0, sizeof(DynamicAny::FieldName))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(DynamicAny) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_NameValuePair (CORBA::tk_struct, sizeof(_oc_DynamicAny_NameValuePair),(char *)&_oc_DynamicAny_NameValuePair, 0, sizeof(DynamicAny::NameValuePair))
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_NameValuePairSeq (CORBA::tk_alias, sizeof(_oc_DynamicAny_NameValuePairSeq),(char *)&_oc_DynamicAny_NameValuePairSeq, 0, sizeof(DynamicAny::NameValuePairSeq))
DynamicAny::DynStruct_ptr | tao_DynamicAny_DynStruct_duplicate (DynamicAny::DynStruct_ptr p)
void | tao_DynamicAny_DynStruct_release (DynamicAny::DynStruct_ptr p)
DynamicAny::DynStruct_ptr | tao_DynamicAny_DynStruct_nil (void)
DynamicAny::DynStruct_ptr | tao_DynamicAny_DynStruct_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynStruct_upcast (void *src)
DynamicAny::DynUnion_ptr | tao_DynamicAny_DynUnion_duplicate (DynamicAny::DynUnion_ptr p)
void | tao_DynamicAny_DynUnion_release (DynamicAny::DynUnion_ptr p)
DynamicAny::DynUnion_ptr | tao_DynamicAny_DynUnion_nil (void)
DynamicAny::DynUnion_ptr | tao_DynamicAny_DynUnion_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynUnion_upcast (void *src)
CORBA::TypeCode | _tc_TAO_tc_DynamicAny_AnySeq (CORBA::tk_alias, sizeof(_oc_DynamicAny_AnySeq),(char *)&_oc_DynamicAny_AnySeq, 0, sizeof(DynamicAny::AnySeq))
DynamicAny::DynSequence_ptr | tao_DynamicAny_DynSequence_duplicate (DynamicAny::DynSequence_ptr p)
void | tao_DynamicAny_DynSequence_release (DynamicAny::DynSequence_ptr p)
DynamicAny::DynSequence_ptr | tao_DynamicAny_DynSequence_nil (void)
DynamicAny::DynSequence_ptr | tao_DynamicAny_DynSequence_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynSequence_upcast (void *src)
DynamicAny::DynArray_ptr | tao_DynamicAny_DynArray_duplicate (DynamicAny::DynArray_ptr p)
void | tao_DynamicAny_DynArray_release (DynamicAny::DynArray_ptr p)
DynamicAny::DynArray_ptr | tao_DynamicAny_DynArray_nil (void)
DynamicAny::DynArray_ptr | tao_DynamicAny_DynArray_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynArray_upcast (void *src)
DynamicAny::DynValue_ptr | tao_DynamicAny_DynValue_duplicate (DynamicAny::DynValue_ptr p)
void | tao_DynamicAny_DynValue_release (DynamicAny::DynValue_ptr p)
DynamicAny::DynValue_ptr | tao_DynamicAny_DynValue_nil (void)
DynamicAny::DynValue_ptr | tao_DynamicAny_DynValue_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynValue_upcast (void *src)
DynamicAny::DynAnyFactory_ptr | tao_DynamicAny_DynAnyFactory_duplicate (DynamicAny::DynAnyFactory_ptr p)
void | tao_DynamicAny_DynAnyFactory_release (DynamicAny::DynAnyFactory_ptr p)
DynamicAny::DynAnyFactory_ptr | tao_DynamicAny_DynAnyFactory_nil (void)
DynamicAny::DynAnyFactory_ptr | tao_DynamicAny_DynAnyFactory_narrow (CORBA::Object *p ACE_ENV_ARG_DECL)
CORBA::Object * | tao_DynamicAny_DynAnyFactory_upcast (void *src)
## Variables
const CORBA::Long | _oc_DynamicAny_NameValuePairSeq []

## Define Documentation

#define __TAO_UNBOUNDED_OBJECT_SEQUENCE_DYNAMICANY_DYNANYSEQ_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_ANYSEQ_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_

#define __TAO_UNBOUNDED_SEQUENCE_DYNAMICANY_NAMEVALUEPAIRSEQ_CS_

#define _DYNAMICANY_ANYSEQ_CS_

#define _DYNAMICANY_DYNANYSEQ_CS_

#define _DYNAMICANY_NAMEDYNANYPAIRSEQ_CS_

#define _DYNAMICANY_NAMEVALUEPAIRSEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_DynamicAny_AnySeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_DynamicAny_AnySeq) | ,
|  | (char *)& | _oc_DynamicAny_AnySeq,
|  | 0 | ,
|  | sizeof(DynamicAny::AnySeq) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_DynamicAny_FieldName | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_DynamicAny_FieldName) | ,
|  | (char *)& | _oc_DynamicAny_FieldName,
|  | 0 | ,
|  | sizeof(DynamicAny::FieldName) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_DynamicAny_NameValuePair | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_DynamicAny_NameValuePair) | ,
|  | (char *)& | _oc_DynamicAny_NameValuePair,
|  | 0 | ,
|  | sizeof(DynamicAny::NameValuePair) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_DynamicAny_NameValuePairSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_DynamicAny_NameValuePairSeq) | ,
|  | (char *)& | _oc_DynamicAny_NameValuePairSeq,
|  | 0 | ,
|  | sizeof(DynamicAny::NameValuePairSeq) |
| ) | `[static]`

DynamicAny::DynAny_ptr tao_DynamicAny_DynAny_duplicate | ( | DynamicAny::DynAny_ptr | p | ) |

DynamicAny::DynAny_ptr tao_DynamicAny_DynAny_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynAny_ptr tao_DynamicAny_DynAny_nil | ( | void |  | ) |

void tao_DynamicAny_DynAny_release | ( | DynamicAny::DynAny_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynAny_upcast | ( | void * | src | ) |

DynamicAny::DynAnyFactory_ptr tao_DynamicAny_DynAnyFactory_duplicate | ( | DynamicAny::DynAnyFactory_ptr | p | ) |

DynamicAny::DynAnyFactory_ptr tao_DynamicAny_DynAnyFactory_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynAnyFactory_ptr tao_DynamicAny_DynAnyFactory_nil | ( | void |  | ) |

void tao_DynamicAny_DynAnyFactory_release | ( | DynamicAny::DynAnyFactory_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynAnyFactory_upcast | ( | void * | src | ) |

DynamicAny::DynArray_ptr tao_DynamicAny_DynArray_duplicate | ( | DynamicAny::DynArray_ptr | p | ) |

DynamicAny::DynArray_ptr tao_DynamicAny_DynArray_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynArray_ptr tao_DynamicAny_DynArray_nil | ( | void |  | ) |

void tao_DynamicAny_DynArray_release | ( | DynamicAny::DynArray_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynArray_upcast | ( | void * | src | ) |

DynamicAny::DynEnum_ptr tao_DynamicAny_DynEnum_duplicate | ( | DynamicAny::DynEnum_ptr | p | ) |

DynamicAny::DynEnum_ptr tao_DynamicAny_DynEnum_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynEnum_ptr tao_DynamicAny_DynEnum_nil | ( | void |  | ) |

void tao_DynamicAny_DynEnum_release | ( | DynamicAny::DynEnum_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynEnum_upcast | ( | void * | src | ) |

DynamicAny::DynFixed_ptr tao_DynamicAny_DynFixed_duplicate | ( | DynamicAny::DynFixed_ptr | p | ) |

DynamicAny::DynFixed_ptr tao_DynamicAny_DynFixed_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynFixed_ptr tao_DynamicAny_DynFixed_nil | ( | void |  | ) |

void tao_DynamicAny_DynFixed_release | ( | DynamicAny::DynFixed_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynFixed_upcast | ( | void * | src | ) |

DynamicAny::DynSequence_ptr tao_DynamicAny_DynSequence_duplicate | ( | DynamicAny::DynSequence_ptr | p | ) |

DynamicAny::DynSequence_ptr tao_DynamicAny_DynSequence_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynSequence_ptr tao_DynamicAny_DynSequence_nil | ( | void |  | ) |

void tao_DynamicAny_DynSequence_release | ( | DynamicAny::DynSequence_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynSequence_upcast | ( | void * | src | ) |

DynamicAny::DynStruct_ptr tao_DynamicAny_DynStruct_duplicate | ( | DynamicAny::DynStruct_ptr | p | ) |

DynamicAny::DynStruct_ptr tao_DynamicAny_DynStruct_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynStruct_ptr tao_DynamicAny_DynStruct_nil | ( | void |  | ) |

void tao_DynamicAny_DynStruct_release | ( | DynamicAny::DynStruct_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynStruct_upcast | ( | void * | src | ) |

DynamicAny::DynUnion_ptr tao_DynamicAny_DynUnion_duplicate | ( | DynamicAny::DynUnion_ptr | p | ) |

DynamicAny::DynUnion_ptr tao_DynamicAny_DynUnion_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynUnion_ptr tao_DynamicAny_DynUnion_nil | ( | void |  | ) |

void tao_DynamicAny_DynUnion_release | ( | DynamicAny::DynUnion_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynUnion_upcast | ( | void * | src | ) |

DynamicAny::DynValue_ptr tao_DynamicAny_DynValue_duplicate | ( | DynamicAny::DynValue_ptr | p | ) |

DynamicAny::DynValue_ptr tao_DynamicAny_DynValue_narrow | ( | CORBA::Object *p | ACE_ENV_ARG_DECL | ) |

DynamicAny::DynValue_ptr tao_DynamicAny_DynValue_nil | ( | void |  | ) |

void tao_DynamicAny_DynValue_release | ( | DynamicAny::DynValue_ptr | p | ) |

CORBA::Object* tao_DynamicAny_DynValue_upcast | ( | void * | src | ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_DynamicAny_NameValuePairSeq[]`[static]`